Subject: bug#31223: 25.3; New menus are empty with GTK3

From: Noam Postavsky <[email-masked]>
Date: Tue, 01 May 2018 19:18:26 -0400

Thomas Schneider <[email-masked]> writes:

> When changing to a mode that provides new menus (e. g. AUCTeX), new
> menus appear in the menu bar (LaTeX and Command in this case), but they
> appear empty.  This is only the case with GTK3; GTK2, Motif and terminal
> do not show this behaviour.
>
> In fact, it looks very much like bug#4122, just for GTK3 instead of
> GTK2.  Launching Emacs with GDK_NATIVE_WINDOWS=1 as suggested in
> lp#415101 does not help.
>
>
>
> In GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.29)

For the record, I'm unable to reproduce this here (with GTK version
3.22.11).